List webhook endpoints
curl --request GET \
--url https://api.kit.com/v4/webhook_endpoints \
--header 'X-Kit-Api-Key: <api-key>'require 'uri'
require 'net/http'
url = URI("https://api.kit.com/v4/webhook_endpoints")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Kit-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_bodyconst options = {method: 'GET', headers: {'X-Kit-Api-Key': '<api-key>'}};
fetch('https://api.kit.com/v4/webhook_endpoints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.kit.com/v4/webhook_endpoints"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Kit-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kit.com/v4/webhook_endpoints",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Kit-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}import requests
url = "https://api.kit.com/v4/webhook_endpoints"
headers = {"X-Kit-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"webhook_endpoints": [
{
"id": 2,
"name": "My webhook",
"url": "https://hooks.example.com/incoming",
"events": [
"custom_field.created",
"subscriber.created"
],
"status": "active",
"source": "creator",
"description": "A test webhook",
"created_by_app": null,
"created_at": "2023-02-17T11:43:55Z",
"previous_secret_expires_at": null
}
],
"pagination": {
"has_previous_page": false,
"has_next_page": false,
"start_cursor": "WzJd",
"end_cursor": "WzJd",
"per_page": 500
}
}Webhooks
List webhook endpoints
Returns a paginated list of the account’s webhook endpoints. Filter with status to return only active or disabled endpoints.
OAuth app scoping: When authenticating with OAuth, this endpoint returns only webhooks created by your OAuth application. Webhooks created via the Kit UI, API keys, or other OAuth apps are not visible. To access all webhooks on an account, authenticate with an API key instead.
Webhook endpoints are the current generation of Kit webhooks: one endpoint subscribes to many event types and receives signed, automatically retried deliveries. They supersede the legacy Webhooks resource — which keeps working — and are the right choice for all new integrations. Start with the webhooks guides.
GET
/
v4
/
webhook_endpoints
List webhook endpoints
curl --request GET \
--url https://api.kit.com/v4/webhook_endpoints \
--header 'X-Kit-Api-Key: <api-key>'require 'uri'
require 'net/http'
url = URI("https://api.kit.com/v4/webhook_endpoints")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Kit-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_bodyconst options = {method: 'GET', headers: {'X-Kit-Api-Key': '<api-key>'}};
fetch('https://api.kit.com/v4/webhook_endpoints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.kit.com/v4/webhook_endpoints"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Kit-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kit.com/v4/webhook_endpoints",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Kit-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}import requests
url = "https://api.kit.com/v4/webhook_endpoints"
headers = {"X-Kit-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"webhook_endpoints": [
{
"id": 2,
"name": "My webhook",
"url": "https://hooks.example.com/incoming",
"events": [
"custom_field.created",
"subscriber.created"
],
"status": "active",
"source": "creator",
"description": "A test webhook",
"created_by_app": null,
"created_at": "2023-02-17T11:43:55Z",
"previous_secret_expires_at": null
}
],
"pagination": {
"has_previous_page": false,
"has_next_page": false,
"start_cursor": "WzJd",
"end_cursor": "WzJd",
"per_page": 500
}
}Authorizations
API KeyOAuth2
Query Parameters
Was this page helpful?